<?php
$themename = "EliteRealia";
$shortname = 'elt';
$options = array (
			array("name" => "Color theme",
			"desc" => "Theme color variation",
            "id" => $shortname."_color",
            "type" => "radio",
            "std" => "1",
            "options" => array("1", "2", "3", "4", "5", "6", "7", "8", "9", "10") ),
			
			array("name" => "Background",
			"desc" => "Theme background variation",
            "id" => $shortname."_bg",
            "type" => "select",
            "std" => "1",
            "options" => array("1", "2", "3", "4", "5", "6", "7", "8", "9", "10") ),
			
			array("name" => "Slider",
			"desc" => "Homepage slider script",
            "id" => $shortname."_slider",
            "type" => "select",
            "std" => "1",
            "options" => array("1", "2", "3") ),
			
			array("name" => "Slides images folder",
			"desc" => "Slides images folder",
            "id" => $shortname."_sfolder",
            "type" => "text",
            "std" => "/slides" ),
			
			array("name" => "Google analytics",
			"desc" => "Google analytics code",
            "id" => $shortname."_google",
            "type" => "text",
            "std" => "" ),
			
			
			array("name" => "Search field text",
			"desc" => "Text in search form field",
            "id" => $shortname."_sftext",
            "type" => "text",
            "std" => "Search our blog..." ),
			
			array("name" => "Contact form email",
			"desc" => "Contact form email",
            "id" => $shortname."_contemail",
            "type" => "text",
            "std" => "" ),
			
			array("name" => "Contact form subj",
			"desc" => "Contact form subject",
            "id" => $shortname."_contsubj",
            "type" => "text",
            "std" => "Message from contact form" ),
			
			array("name" => "Contact form send",
			"desc" => "Contact form success message",
            "id" => $shortname."_contsend",
            "type" => "text",
            "std" => "Message has been sent successfully" ),
			
			array("name" => "Contact form error",
			"desc" => "Contact form error message",
            "id" => $shortname."_conterror",
            "type" => "text",
            "std" => "Error... Message not sent" ),
			
			array("name" => "404 header",
			"desc" => "404 title",
            "id" => $shortname."_404head",
            "type" => "text",
            "std" => "Error 404" ),
			
			array("name" => "404 message",
			"desc" => "404 message",
            "id" => $shortname."_404text",
            "type" => "text",
            "std" => "Not found..." ),
			
			array("name" => "Posts not found title",
			"desc" => "Posts not found title",
            "id" => $shortname."_404poststitle",
            "type" => "text",
            "std" => "Not found..." ),
			
			array("name" => "Posts not found text",
			"desc" => "Posts not found message",
            "id" => $shortname."_404postsmess",
            "type" => "text",
            "std" => "Sorry, no posts matched your criteria." ),
			
			array("name" => "Flickr ID",
			"desc" => "Your Flickr ID",
            "id" => $shortname."_flickr",
            "type" => "text",
            "std" => "49887469@N02" ),
			
			array("name" => "About text",
			"desc" => "About text in footer",
            "id" => $shortname."_about",
            "type" => "text",
            "std" => "Portfolio / Blog style WordPress Theme from Atillus Wordpress themes design studio" ),
			
			array("name" => "Contact email",
			"desc" => "Email in footer",
            "id" => $shortname."_email",
            "type" => "text",
            "std" => "admin@yoursite.com" ),
			
			array("name" => "Contact phone",
			"desc" => "Phone in footer",
            "id" => $shortname."_phone",
            "type" => "text",
            "std" => "8-800-1234567" ),
			
			array("name" => "Twitter ID",
			"desc" => "Your twitter ID",
            "id" => $shortname."_twitter",
            "type" => "text",
            "std" => "twitter" ),

			
			);

function mytheme_add_admin() {

    global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
    
        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

                header("Location: themes.php?page=functions.php&saved=true");
                die;

        } else if( 'reset' == $_REQUEST['action'] ) {

            foreach ($options as $value) {
                delete_option( $value['id'] ); }

            header("Location: themes.php?page=functions.php&reset=true");
            die;

        }
    }

    add_theme_page($themename." Options", $themename." Options ", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' SETTINGS SAVED.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' SETTINGS RESET.</strong></p></div>';
    
?>

<div class="wrap">
<h2><?php echo $themename; ?> options page</h2>
<form method="post">
  <table width="100%" border="0" cellspacing="10" cellpadding="3">
    <tr>
      <td colspan="2" style="background-color:#eef5fb; padding:10px;"><h3>Design settings</h3></td>
    </tr>
    <tr>
      <td width="25%" valign="top"><strong>Color scheme:</strong></td>
      <td width="75%" valign="top">
      <table border="0" cellspacing="3" cellpadding="3">
        <tr>
          <td width="37"><div align="center"><img src="<?php bloginfo('template_directory');?>/img/colors/1.jpg" alt="" width="30" height="30" /></div></td>
          <td width="30"><div align="center"><img src="<?php bloginfo('template_directory');?>/img/colors/2.jpg" alt="" width="30" height="30" /></div></td>
          <td width="30"><div align="center"><img src="<?php bloginfo('template_directory');?>/img/colors/3.jpg" alt="" width="30" height="30" /></div></td>
          <td width="30"><div align="center"><img src="<?php bloginfo('template_directory');?>/img/colors/4.jpg" alt="" width="30" height="30" /></div></td>
          <td width="30"><div align="center"><img src="<?php bloginfo('template_directory');?>/img/colors/5.jpg" alt="" width="30" height="30" /></div></td>
          <td width="30"><div align="center"><img src="<?php bloginfo('template_directory');?>/img/colors/6.jpg" alt="" width="30" height="30" /></div></td>
          <td width="30"><div align="center"><img src="<?php bloginfo('template_directory');?>/img/colors/7.jpg" alt="" width="30" height="30" /></div></td>
          <td width="30"><div align="center"><img src="<?php bloginfo('template_directory');?>/img/colors/8.jpg" alt="" width="30" height="30" /></div></td>
          <td width="30"><div align="center"><img src="<?php bloginfo('template_directory');?>/img/colors/9.jpg" alt="" width="30" height="30" /></div></td>
          <td width="34"><div align="center"><img src="<?php bloginfo('template_directory');?>/img/colors/10.jpg" alt="" width="30" height="30" /></div></td>
        </tr>
        <tr>
          <td><div align="center">
          <?php $checked = "checked='checked'";?>
            <input id="elt_color" name="elt_color" type="radio" value="1" <?php if(get_option( 'elt_color', '1') == '1') echo $checked; ?> />
          </div></td>
          <td><div align="center">
            <input id="elt_color" type="radio" name="elt_color" value="2" <?php if(get_option( 'elt_color', '1') == '2') echo $checked; ?> />
          </div></td>
          <td><div align="center">
            <input id="elt_color" type="radio" name="elt_color" value="3" <?php if(get_option( 'elt_color', '1') == '3') echo $checked; ?> />
          </div></td>
          <td><div align="center">
            <input id="elt_color" type="radio" name="elt_color" value="4" <?php if(get_option( 'elt_color', '1') == '4') echo $checked; ?> />
          </div></td>
          <td><div align="center">
            <input id="elt_color" type="radio" name="elt_color" value="5" <?php if(get_option( 'elt_color', '1') == '5') echo $checked; ?> />
          </div></td>
          <td><div align="center">
            <input id="elt_color" type="radio" name="elt_color" value="6" <?php if(get_option( 'elt_color', '1') == '6') echo $checked; ?> />
          </div></td>
          <td><div align="center">
            <input id="elt_color" type="radio" name="elt_color" value="7" <?php if(get_option( 'elt_color', '1') == '7') echo $checked; ?> />
          </div></td>
          <td><div align="center">
            <input id="elt_color" type="radio" name="elt_color" value="8" <?php if(get_option( 'elt_color', '1') == '8') echo $checked; ?> />
          </div></td>
          <td><div align="center">
            <input id="elt_color" type="radio" name="elt_color" value="9" <?php if(get_option( 'elt_color', '1') == '9') echo $checked; ?> />
          </div></td>
          <td><div align="center">
            <input id="elt_color" type="radio" name="elt_color" value="10" <?php if(get_option( 'elt_color', '1') == '10') echo $checked; ?> />
          </div></td>
        </tr>
      </table></td>
    </tr>

    <tr>
      <td valign="top"><strong>Background settings:</strong></td>
      <td valign="top"><?php $checked='selected="selected"';?><select name="elt_bg" id="elt_bg">
      <option value="none">Not use</option>
      <option value="1" <?php if(get_option( 'elt_bg', '1') == '1') echo $checked; ?>>Abstract 1</option>
      <option value="2" <?php if(get_option( 'elt_bg', '1') == '2') echo $checked; ?>>Abstract 2</option>
      <option value="3" <?php if(get_option( 'elt_bg', '1') == '3') echo $checked; ?>>Abstract 3</option>
      <option value="4" <?php if(get_option( 'elt_bg', '1') == '4') echo $checked; ?>>Abstract 4</option>
      <option value="5" <?php if(get_option( 'elt_bg', '1') == '5') echo $checked; ?>>Abstract 5</option>
      <option value="6" <?php if(get_option( 'elt_bg', '1') == '6') echo $checked; ?>>Abstract 6</option>
      <option value="7" <?php if(get_option( 'elt_bg', '1') == '7') echo $checked; ?>>Abstract 7</option>
      <option value="8" <?php if(get_option( 'elt_bg', '1') == '8') echo $checked; ?>>Abstract 8</option>
      <option value="9" <?php if(get_option( 'elt_bg', '1') == '9') echo $checked; ?>>Abstract 9</option>
      <option value="10" <?php if(get_option( 'elt_bg', '1') == '10') echo $checked; ?>>Abstract 10</option>
      </select>      </td>
    </tr>

    <tr>
      <td colspan="2" valign="top" style="background-color:#eef5fb; padding:10px;"><h3>JQuery slider settings</h3></td>
    </tr>
    <tr>
      <td valign="top"><strong>Homepage Slider script:</strong></td>
      <td valign="top"><select name="elt_slider" id="elt_slider">
      <option value="1" <?php if(get_option( 'elt_slider', '1') == '1') echo $checked; ?>>Cu3er</option>
      <option value="2" <?php if(get_option( 'elt_slider', '1') == '2') echo $checked; ?>>Carousel</option>
      <option value="3" <?php if(get_option( 'elt_slider', '1') == '3') echo $checked; ?>>Accordeon</option>
      </select></td>
    </tr>
    <tr>
      <td valign="top"><strong>Slides images folder:</strong></td>
      <td valign="top"><input name="elt_sfolder" type="text" id="elt_sfolder" value="<?php echo get_option( 'elt_sfolder', '/slides');?>" /></td>
    </tr>
    <tr>
      <td colspan="2" valign="top" style="background-color:#eef5fb; padding:10px;"><h3>Google analytics settings</h3></td>
    </tr>
    <tr>
      <td valign="top"><strong>Your Gogle Analytics code:</strong></td>
      <td valign="top"><input name="elt_google" type="text" id="elt_google" value="<?php echo get_option( 'elt_google');?>" size="80" /></td>
    </tr>
    <tr>
      <td valign="top">&nbsp;</td>
      <td valign="top">Leave blank if don't use Google analytics</td>
    </tr>
    <tr>
      <td colspan="2" valign="top" style="background-color:#eef5fb; padding:10px;"><h3>Search settings</h3></td>
    </tr>
    <tr>
      <td valign="top"><strong>Search field text:</strong></td>
      <td valign="top"><input name="elt_sftext" type="text" id="elt_sftext" value="<?php echo get_option( 'elt_sftext', 'Search blog...');?>" /></td>
    </tr>
    <tr>
      <td colspan="2" valign="top" style="background-color:#eef5fb; padding:10px;"><h3>Contact form settings</h3></td>
    </tr>
    <tr>
      <td valign="top"><strong>Your Contact e-mail:</strong></td>
      <td valign="top"><input name="elt_contemail" type="text" id="elt_contemail" value="<?php echo get_option( 'elt_contemail');?>" /></td>
    </tr>
    <tr>
      <td valign="top"><strong>Message subject:</strong></td>
      <td valign="top"><input name="elt_contsubj" type="text" id="elt_contsubj" value="<?php echo get_option( 'elt_contsubj','Message from contact form');?>" size="80" /></td>
    </tr>
    <tr>
      <td valign="top"><strong>Successfully sent  message:</strong></td>
      <td valign="top"><input name="elt_contsend" type="text" id="elt_contsend" value="<?php echo get_option( 'elt_contsend','Message has been sent successfully');?>" size="80" /></td>
    </tr>
    <tr>
      <td valign="top"><strong>Error message:</strong></td>
      <td valign="top"><input name="elt_conterror" type="text" id="elt_conterror" value="<?php echo get_option( 'elt_conterror','Error... Message not sent');?>" size="80" /></td>
    </tr>
    <tr>
      <td colspan="2" valign="top" style="background-color:#eef5fb; padding:10px;"><h3>Footer settings</h3></td>
    </tr>
    <tr>
      <td valign="top"><strong>&quot;About&quot; text:</strong></td>
      <td valign="top"><input name="elt_about" type="text" id="elt_about" value="<?php echo get_option( 'elt_about','Portfolio / Blog style WordPress Theme from Atillus Wordpress themes design studio');?>" size="80" /></td>
    </tr>
    <tr>
      <td valign="top"><strong>Contact e-mail:</strong></td>
      <td valign="top"><input name="elt_email" type="text" id="elt_email" value="<?php echo get_option( 'elt_email','admin@yoursite.com');?>" size="80" /></td>
    </tr>
    <tr>
      <td valign="top"><strong>Contact phone:</strong></td>
      <td valign="top"><input name="elt_phone" type="text" id="elt_phone" value="<?php echo get_option( 'elt_phone','8-800-1234567');?>" size="80" /></td>
    </tr>
    <tr>
      <td colspan="2" valign="top" style="background-color:#eef5fb; padding:10px;"><h3>Social Networks  settings</h3></td>
    </tr>
    <tr>
      <td valign="top"><strong>Your Flickr ID:</strong></td>
      <td valign="top"><input name="elt_flickr" type="text" id="elt_flickr" value="<?php echo get_option( 'elt_flickr','49887469@N02');?>" size="80" /></td>
    </tr>
    <tr>
      <td valign="top"><strong>Your Twitter ID:</strong></td>
      <td valign="top"><input name="elt_twitter" type="text" id="elt_twitter" value="<?php echo get_option( 'elt_twitter','twitter');?>" size="80" /></td>
    </tr>
    <tr>
      <td colspan="2" valign="top" style="background-color:#eef5fb; padding:10px;"><h3>Search error settings</h3></td>
    </tr>
    <tr>
      <td valign="top"><strong>404 error header:</strong></td>
      <td valign="top"><input name="elt_404head" type="text" id="elt_404head" value="<?php echo get_option( 'elt_404head','Error 404...');?>" size="80" /></td>
    </tr>
    <tr>
      <td valign="top"><strong>404 error message:</strong></td>
      <td valign="top"><input name="elt_404text" type="text" id="elt_404text" value="<?php echo get_option( 'elt_404text','Not found');?>" size="80" /></td>
    </tr>
    <tr>
      <td valign="top"><strong>&quot;Posts not found&quot; title:</strong></td>
      <td valign="top"><input name="elt_404poststitle" type="text" id="elt_404poststitle" value="<?php echo get_option( 'elt_404poststitle','Not found');?>" size="80" /></td>
    </tr>
    <tr>
      <td valign="top"><strong>&quot;Posts not found&quot; message:</strong></td>
      <td valign="top"><input name="elt_404postsmess" type="text" id="elt_404postsmess" value="<?php echo get_option( 'elt_404postsmess','Sorry, no posts matched your criteria.');?>" size="80" /></td>
    </tr>
  </table>

<p class="submit">
<input name="save" type="submit" value="Save settings" />    
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>

<?php
}

add_action('admin_menu', 'mytheme_add_admin'); 

if ( function_exists('register_sidebar') )
	register_sidebar(array(
		'name' => 'home',
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h2>',
        'after_title' => '</h2>'
    ));
	
if ( function_exists('register_sidebar') )
	register_sidebar(array(
		'name' => 'blog',
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h2>',
        'after_title' => '</h2>'
    ));
	
	
if ( function_exists('register_sidebar') )
	register_sidebar(array(
		'name' => 'horizontal',
        'before_widget' => '<div class="about1" style="padding: 0px 15px;">',
        'after_widget' => '</div>',
        'before_title' => '<h1>',
        'after_title' => '</h1>'
    ));
	






/* Add our function to the widgets_init hook. */
add_action( 'widgets_init', 'elite_load_widgets' );

/* Function that registers our widget. */
function elite_load_widgets() {
	register_widget( 'Home_sidebar_Widget' );
	register_widget( 'Home_about_Widget' );
	register_widget( 'Home_services_Widget' );
	register_widget( 'Home_portfolio_Widget' );
}
class Home_sidebar_Widget extends WP_Widget {
function Home_sidebar_Widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'example', 'description' => 'Text with image widget on Home sidebar for EliteRealia WP theme' );

		/* Widget control settings. */
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'example-widget' );

		/* Create the widget. */
		$this->WP_Widget( 'example-widget', 'EliteRealia Home Sidebar widget', $widget_ops, $control_ops );
	}
	function widget( $args, $instance ) {
		extract( $args );

		/* User-selected settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$image = $instance['image'];
		$text = $instance['text'];

		/* Before widget (defined by themes). */
		echo $before_widget;

		/* Title of widget (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;

		/* Display name from widget settings. */
		if ( $text )
			echo '<p>'.$text.'</p>';
			if ( $image )
			echo '<img src="'.$image.'" alt="" />';

		/* After widget (defined by themes). */
		echo $after_widget;
	}
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags (if needed) and update the widget settings. */
		$instance['title'] = $new_instance['title'];
		$instance['image'] = $new_instance['image'];
		$instance['text'] = $new_instance['text'];

		return $instance;
		}
		
		function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'title' => 'Text with image widget','image' => 'http://atillus.com/elite/wp-content/themes/EliteRealia/img/textwidget_img.jpg', 'text' => 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.');
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
	
    <p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>
<p>
			<label for="<?php echo $this->get_field_id( 'image' ); ?>">Image URL:</label>
			<input id="<?php echo $this->get_field_id( 'image' ); ?>" name="<?php echo $this->get_field_name( 'image' ); ?>" value="<?php echo $instance['image']; ?>" style="width:100%;" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'text' ); ?>">Text:</label>
			<input id="<?php echo $this->get_field_id( 'text' ); ?>" name="<?php echo $this->get_field_name( 'text' ); ?>" value="<?php echo $instance['text']; ?>" style="width:100%;" />
		</p>
<?php	
}	
}






class Home_about_Widget extends WP_Widget {
function Home_about_Widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'example2', 'description' => 'Text with image widget on Home horizontal witget area for EliteRealia WP theme' );

		/* Widget control settings. */
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'example2-widget' );

		/* Create the widget. */
		$this->WP_Widget( 'example2-widget', 'EliteRealia "About" widget', $widget_ops, $control_ops );
	}
	function widget( $args, $instance ) {
		extract( $args );

		/* User-selected settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$image = $instance['image'];
		$text = $instance['text'];

		/* Before widget (defined by themes). */
		echo $before_widget;

		/* Title of widget (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;

		/* Display name from widget settings. */
		
			if ( $image )
			echo '<img src="'.$image.'" alt="" /><div class="shadow"></div>';
			if ( $text )
			echo $text;

		/* After widget (defined by themes). */
		echo $after_widget;
	}
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags (if needed) and update the widget settings. */
		$instance['title'] = $new_instance['title'];
		$instance['image'] = $new_instance['image'];
		$instance['text'] = $new_instance['text'];

		return $instance;
		}
		
		function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'title' => 'About us','image' => 'http://atillus.com/elite/wp-content/themes/EliteRealia/img/about_img1.jpg', 'text' => 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.');
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
	
    <p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>
<p>
			<label for="<?php echo $this->get_field_id( 'image' ); ?>">Image URL:</label>
			<input id="<?php echo $this->get_field_id( 'image' ); ?>" name="<?php echo $this->get_field_name( 'image' ); ?>" value="<?php echo $instance['image']; ?>" style="width:100%;" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'text' ); ?>">Text:</label>
			<input id="<?php echo $this->get_field_id( 'text' ); ?>" name="<?php echo $this->get_field_name( 'text' ); ?>" value="<?php echo $instance['text']; ?>" style="width:100%;" />
		</p>
<?php	
}	}






class Home_services_Widget extends WP_Widget {
function Home_services_Widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'example3', 'description' => 'Second Text with image widget on Home horizontal witget area for EliteRealia WP theme' );

		/* Widget control settings. */
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'example3-widget' );

		/* Create the widget. */
		$this->WP_Widget( 'example3-widget', 'EliteRealia "Services" widget', $widget_ops, $control_ops );
	}
	function widget( $args, $instance ) {
		extract( $args );

		/* User-selected settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$image = $instance['image'];
		$text = $instance['text'];

		/* Before widget (defined by themes). */
		echo $before_widget;

		/* Title of widget (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;

		/* Display name from widget settings. */
		
			if ( $image )
			echo '<img src="'.$image.'" alt="" /><div class="shadow"></div>';
			if ( $text )
			echo $text;

		/* After widget (defined by themes). */
		echo $after_widget;
	}
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags (if needed) and update the widget settings. */
		$instance['title'] = $new_instance['title'];
		$instance['image'] = $new_instance['image'];
		$instance['text'] = $new_instance['text'];

		return $instance;
		}
		
		function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'title' => 'Our Services','image' => 'http://atillus.com/elite/wp-content/themes/EliteRealia/img/about_img2.jpg', 'text' => 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.');
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
	
    <p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>
<p>
			<label for="<?php echo $this->get_field_id( 'image' ); ?>">Image URL:</label>
			<input id="<?php echo $this->get_field_id( 'image' ); ?>" name="<?php echo $this->get_field_name( 'image' ); ?>" value="<?php echo $instance['image']; ?>" style="width:100%;" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'text' ); ?>">Text:</label>
			<input id="<?php echo $this->get_field_id( 'text' ); ?>" name="<?php echo $this->get_field_name( 'text' ); ?>" value="<?php echo $instance['text']; ?>" style="width:100%;" />
		</p>
<?php	
}	}







class Home_portfolio_Widget extends WP_Widget {
function Home_portfolio_Widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'example4', 'description' => 'Third Text with image widget on Home horizontal witget area for EliteRealia WP theme' );

		/* Widget control settings. */
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'example4-widget' );

		/* Create the widget. */
		$this->WP_Widget( 'example4-widget', 'EliteRealia "Portfolio" widget', $widget_ops, $control_ops );
	}
	function widget( $args, $instance ) {
		extract( $args );

		/* User-selected settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$image = $instance['image'];
		$text = $instance['text'];

		/* Before widget (defined by themes). */
		echo $before_widget;

		/* Title of widget (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;

		/* Display name from widget settings. */
		
			if ( $image )
			echo '<img src="'.$image.'" alt="" /><div class="shadow"></div>';
			if ( $text )
			echo $text;

		/* After widget (defined by themes). */
		echo $after_widget;
	}
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags (if needed) and update the widget settings. */
		$instance['title'] = $new_instance['title'];
		$instance['image'] = $new_instance['image'];
		$instance['text'] = $new_instance['text'];

		return $instance;
		}
		
		function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'title' => 'Our Portfolio','image' => 'http://atillus.com/elite/wp-content/themes/EliteRealia/img/about_img3.jpg', 'text' => 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.');
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
	
    <p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>
<p>
			<label for="<?php echo $this->get_field_id( 'image' ); ?>">Image URL:</label>
			<input id="<?php echo $this->get_field_id( 'image' ); ?>" name="<?php echo $this->get_field_name( 'image' ); ?>" value="<?php echo $instance['image']; ?>" style="width:100%;" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'text' ); ?>">Text:</label>
			<input id="<?php echo $this->get_field_id( 'text' ); ?>" name="<?php echo $this->get_field_name( 'text' ); ?>" value="<?php echo $instance['text']; ?>" style="width:100%;" />
		</p>
<?php	
}	}
?>