<div class="sidebar">
<?php remove_filter ('the_excerpt',  'wpautop'); 
function new_excerpt_length($length) {
	return 6;
}
add_filter('excerpt_length', 'new_excerpt_length');
?>

<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('blog') ) : ?>
<h2>Categories</h2>
<ul>
<?php wp_list_categories('title_li='); ?>
</ul>
<hr noshade="noshade" />

<h2>Recent blog posts</h2>
<?php
 $postslist = get_posts('numberposts=2&order=ASC&orderby=title');
 foreach ($postslist as $post) : 
    setup_postdata($post);
 ?> 
<div class="recent">
<?php echo get_avatar(get_the_author_meta('user_email'), $size = '40'); ?>
<h3><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h3>
<?php the_excerpt(); ?>
</div>
 <?php endforeach; ?>
<br clear="all" />
<hr noshade="noshade" />

<h2>Flickr images</h2>
<!-- Start of Flickr Badge -->
<div id="flickr_badge_wrapper">
<script type="text/javascript" src="http://www.flickr.com/badge_code_v2.gne?count=12&amp;display=latest&amp;size=s&amp;layout=x&amp;source=user&amp;user=<?php echo get_option( 'elt_flickr','49887469@N02'); ?>"></script><br clear="all" />
</div>
<!-- End of Flickr Badge -->
<hr noshade="noshade" />


<h2>Recent comments</h2>
<ul class="rcomments">
<?php
global $wpdb;
$sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID,
comment_post_ID, comment_author, comment_date_gmt, comment_approved,
comment_type,comment_author_url,
SUBSTRING(comment_content,1,45) AS com_excerpt
FROM $wpdb->comments
LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID =
$wpdb->posts.ID)
WHERE comment_approved = '1' AND comment_type = '' AND
post_password = ''
ORDER BY comment_date_gmt DESC
LIMIT 3";
$comments = $wpdb->get_results($sql);
$output = $pre_HTML;
foreach ($comments as $comment) {
$output .= "<li><strong>".strip_tags($comment->comment_author)."</strong> wrote:<br /><a href=\"".get_permalink($comment->ID)."\">".strip_tags($comment->com_excerpt)."</a></li>";
}
$output .= $post_HTML;
echo $output;?>
</ul>


<hr noshade="noshade" />
<?php endif; ?>


<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('home') ) : ?>
<h2>Text widget with image</h2>
<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. </p>
<img src="<?php bloginfo('template_directory');?>/img/textwidget_img.jpg" alt="" />
<?php endif; ?>


</div>
<br clear="all" />
</div><!-- end content_top div -->
</div><!-- end content div -->
<br clear="all" />

<?php get_footer();?>
